MessageTransformer.JMSMessageType (Eclipse OpenMQ (tm), 5.1 API Specification)
Description: declaration: package: com.sun.messaging.bridge.api, class: MessageTransformer, enum: JMSMessageType

Package com.sun.messaging.bridge.api

# Enum Class MessageTransformer.JMSMessageType

java.lang.Object
java.lang.Enum<MessageTransformer.JMSMessageType>
com.sun.messaging.bridge.api.MessageTransformer.JMSMessageType

All Implemented Interfaces:
  `Serializable`, `Comparable<MessageTransformer.JMSMessageType>`, `Constable`

Enclosing class:
  `MessageTransformer<T,S>`

public static enum MessageTransformer.JMSMessageType extends Enum<MessageTransformer.JMSMessageType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BYTESMESSAGE`
  `MAPMESSAGE`
  `MESSAGE`
  `OBJECTMESSAGE`
  `STREAMMESSAGE`
  `TEXTMESSAGE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MessageTransformer.JMSMessageType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MessageTransformer.JMSMessageType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MESSAGE

    public static final MessageTransformer.JMSMessageType MESSAGE

  - ### TEXTMESSAGE

    public static final MessageTransformer.JMSMessageType TEXTMESSAGE

  - ### BYTESMESSAGE

    public static final MessageTransformer.JMSMessageType BYTESMESSAGE

  - ### MAPMESSAGE

    public static final MessageTransformer.JMSMessageType MAPMESSAGE

  - ### STREAMMESSAGE

    public static final MessageTransformer.JMSMessageType STREAMMESSAGE

  - ### OBJECTMESSAGE

    public static final MessageTransformer.JMSMessageType OBJECTMESSAGE

- ## Method Details

  - ### values

    public static MessageTransformer.JMSMessageType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MessageTransformer.JMSMessageType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null